<?xml version="1.0" encoding="utf-8"?>
<Project DefaultTargets="Build" ToolsVersion="4.0" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Release</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProductVersion>8.0.30703</ProductVersion>
    <SchemaVersion>2.0</SchemaVersion>
    <ProjectGuid>{E273D042-57F9-4E2E-8268-5053527E5287}</ProjectGuid>
    <OutputType>Library</OutputType>
    <RootNamespace>CommandExtensions</RootNamespace>
    <AssemblyName>CommandExtensions</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>none</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\bin\Mods\TFP_CommandExtensions\</OutputPath>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <ConsolePause>false</ConsolePause>
    <NoStdLib>true</NoStdLib>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release_Profiler|AnyCPU' ">
    <OutputPath>..\bin\Mods\TFP_CommandExtensions\</OutputPath>
    <DefineConstants>ENABLE_PROFILER</DefineConstants>
    <Optimize>true</Optimize>
    <WarningLevel>4</WarningLevel>
    <NoStdLib>true</NoStdLib>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <OutputPath>..\bin\Mods\TFP_CommandExtensions\</OutputPath>
    <DebugType>full</DebugType>
    <DebugSymbols>true</DebugSymbols>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug_Profiler|AnyCPU' ">
    <OutputPath>..\bin\Mods\TFP_CommandExtensions\</OutputPath>
    <DefineConstants>ENABLE_PROFILER</DefineConstants>
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="System" />
    <Reference Include="Assembly-CSharp">
      <HintPath>..\7dtd-binaries\Assembly-CSharp.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="UnityEngine">
      <HintPath>..\7dtd-binaries\UnityEngine.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="LogLibrary">
      <HintPath>..\7dtd-binaries\LogLibrary.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="mscorlib">
      <HintPath>..\7dtd-binaries\mscorlib.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="Assembly-CSharp-firstpass">
      <HintPath>..\7dtd-binaries\Assembly-CSharp-firstpass.dll</HintPath>
      <Private>False</Private>
    </Reference>
    <Reference Include="UnityEngine.CoreModule, Version=0.0.0.0, Culture=neutral, PublicKeyToken=null">
      <HintPath>..\7dtd-binaries\UnityEngine.CoreModule.dll</HintPath>
      <Private>False</Private>
    </Reference>
  </ItemGroup>
  <ItemGroup>
    <Compile Include="src\Commands\TestLogSpam.cs" />
    <Compile Include="src\ModApi.cs" />
    <Compile Include="src\AssemblyInfo.cs" />
    <Compile Include="src\ChatHelpers.cs" />
    <Compile Include="src\Commands\Exception.cs" />
    <Compile Include="src\Commands\Give.cs" />
    <Compile Include="src\Commands\ListItems.cs" />
    <Compile Include="src\Commands\Reply.cs" />
    <Compile Include="src\Commands\SayToPlayer.cs" />
    <Compile Include="src\PrivateMessageConnections.cs" />
  </ItemGroup>
  <Import Project="$(MSBuildBinPath)\Microsoft.CSharp.targets" />
  <ItemGroup>
    <None Include="ModInfo.xml">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </None>
  </ItemGroup>
</Project>